package com.realnet.x2-b.Services;
import com.realnet.x2-b.Repository.User_profileRepository;
import com.realnet.x2-b.Entity.User_profile
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class User_profileService {
@Autowired
private User_profileRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public User_profile Savedata(User_profile data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
User_profile save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<User_profile> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<User_profile> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<User_profile> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public User_profile getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public User_profile update(User_profile data,Integer id) {
	User_profile old = Repository.findById(id).get();
old.setName(data.getName());

old.setEmail(data.getEmail());

old.setAge(data.getAge());

final User_profile test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
